## org.eclipse.ocl.cst.util
Class CSTAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.ocl.cst.util.CSTAdapterFactory

All Implemented Interfaces:
  AdapterFactory

    public class CSTAdapterFactory

extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `CSTPackage`

Field Summary
`protected static CSTPackage` `modelPackage` The cached model package
`protected CSTSwitch<Adapter>` `modelSwitch` The switch that delegates to the `createXXX` methods

Constructor Summary
`CSTAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`
`Adapter` `createBooleanLiteralExpCSAdapter()` Creates a new adapter for an object of class '`Boolean Literal Exp CS`'
`Adapter` `createCallExpCSAdapter()` Creates a new adapter for an object of class '`Call Exp CS`'
`Adapter` `createClassifierContextDeclCSAdapter()` Creates a new adapter for an object of class '`Classifier Context Decl CS`'
`Adapter` `createCollectionLiteralExpCSAdapter()` Creates a new adapter for an object of class '`Collection Literal Exp CS`'
`Adapter` `createCollectionLiteralPartCSAdapter()` Creates a new adapter for an object of class '`Collection Literal Part CS`'
`Adapter` `createCollectionRangeCSAdapter()` Creates a new adapter for an object of class '`Collection Range CS`'
`Adapter` `createCollectionTypeCSAdapter()` Creates a new adapter for an object of class '`Collection Type CS`'
`Adapter` `createContextDeclCSAdapter()` Creates a new adapter for an object of class '`Context Decl CS`'
`Adapter` `createCSTNodeAdapter()` Creates a new adapter for an object of class '`Node`'
`Adapter` `createDefCSAdapter()` Creates a new adapter for an object of class '`Def CS`'
`Adapter` `createDefExpressionCSAdapter()` Creates a new adapter for an object of class '`Def Expression CS`'
`Adapter` `createDerValueCSAdapter()` Creates a new adapter for an object of class '`Der Value CS`'
`Adapter` `createEnumLiteralExpCSAdapter()` Creates a new adapter for an object of class '`Enum Literal Exp CS`'
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case
`Adapter` `createFeatureCallExpCSAdapter()` Creates a new adapter for an object of class '`Feature Call Exp CS`'
`Adapter` `createIfExpCSAdapter()` Creates a new adapter for an object of class '`If Exp CS`'
`Adapter` `createInitOrDerValueCSAdapter()` Creates a new adapter for an object of class '`Init Or Der Value CS`'
`Adapter` `createInitValueCSAdapter()` Creates a new adapter for an object of class '`Init Value CS`'
`Adapter` `createIntegerLiteralExpCSAdapter()` Creates a new adapter for an object of class '`Integer Literal Exp CS`'
`Adapter` `createInvalidLiteralExpCSAdapter()` Creates a new adapter for an object of class '`Invalid Literal Exp CS`'
`Adapter` `createInvCSAdapter()` Creates a new adapter for an object of class '`Inv CS`'
`Adapter` `createInvOrDefCSAdapter()` Creates a new adapter for an object of class '`Inv Or Def CS`'
`Adapter` `createIsMarkedPreCSAdapter()` Creates a new adapter for an object of class '`Is Marked Pre CS`'
`Adapter` `createIterateExpCSAdapter()` Creates a new adapter for an object of class '`Iterate Exp CS`'
`Adapter` `createIteratorExpCSAdapter()` Creates a new adapter for an object of class '`Iterator Exp CS`'
`Adapter` `createLetExpCSAdapter()` Creates a new adapter for an object of class '`Let Exp CS`'
`Adapter` `createLiteralExpCSAdapter()` Creates a new adapter for an object of class '`Literal Exp CS`'
`Adapter` `createLoopExpCSAdapter()` Creates a new adapter for an object of class '`Loop Exp CS`'
`Adapter` `createMessageExpCSAdapter()` Creates a new adapter for an object of class '`Message Exp CS`'
`Adapter` `createNullLiteralExpCSAdapter()` Creates a new adapter for an object of class '`Null Literal Exp CS`'
`Adapter` `createOCLDocumentCSAdapter()` Creates a new adapter for an object of class '`OCL Document CS`'
`Adapter` `createOCLExpressionCSAdapter()` Creates a new adapter for an object of class '`OCL Expression CS`'
`Adapter` `createOCLMessageArgCSAdapter()` Creates a new adapter for an object of class '`OCL Message Arg CS`'
`Adapter` `createOperationCallExpCSAdapter()` Creates a new adapter for an object of class '`Operation Call Exp CS`'
`Adapter` `createOperationContextDeclCSAdapter()` Creates a new adapter for an object of class '`Operation Context Decl CS`'
`Adapter` `createOperationCSAdapter()` Creates a new adapter for an object of class '`Operation CS`'
`Adapter` `createPackageDeclarationCSAdapter()` Creates a new adapter for an object of class '`Package Declaration CS`'
`Adapter` `createPathNameCSAdapter()` Creates a new adapter for an object of class '`Path Name CS`'
`Adapter` `createPrePostOrBodyDeclCSAdapter()` Creates a new adapter for an object of class '`Pre Post Or Body Decl CS`'
`Adapter` `createPrimitiveLiteralExpCSAdapter()` Creates a new adapter for an object of class '`Primitive Literal Exp CS`'
`Adapter` `createPrimitiveTypeCSAdapter()` Creates a new adapter for an object of class '`Primitive Type CS`'
`Adapter` `createPropertyContextCSAdapter()` Creates a new adapter for an object of class '`Property Context CS`'
`Adapter` `createRealLiteralExpCSAdapter()` Creates a new adapter for an object of class '`Real Literal Exp CS`'
`Adapter` `createSimpleNameCSAdapter()` Creates a new adapter for an object of class '`Simple Name CS`'
`Adapter` `createStateExpCSAdapter()` Creates a new adapter for an object of class '`State Exp CS`'
`Adapter` `createStringLiteralExpCSAdapter()` Creates a new adapter for an object of class '`String Literal Exp CS`'
`Adapter` `createTupleLiteralExpCSAdapter()` Creates a new adapter for an object of class '`Tuple Literal Exp CS`'
`Adapter` `createTupleTypeCSAdapter()` Creates a new adapter for an object of class '`Tuple Type CS`'
`Adapter` `createTypeCSAdapter()` Creates a new adapter for an object of class '`Type CS`'
`Adapter` `createUnlimitedNaturalLiteralExpCSAdapter()` Creates a new adapter for an object of class '`Unlimited Natural Literal Exp CS`'
`Adapter` `createVariableCSAdapter()` Creates a new adapter for an object of class '`Variable CS`'
`Adapter` `createVariableExpCSAdapter()` Creates a new adapter for an object of class '`Variable Exp CS`'
`boolean` `isFactoryForType(Object object)` Returns whether this factory is applicable for the type of the object

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static CSTPackage modelPackage

  The cached model package.

### modelSwitch

    protected CSTSwitch<Adapter> modelSwitch

  The switch that delegates to the `createXXX` methods.

Constructor Detail

### CSTAdapterFactory

    public CSTAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `AdapterFactory`
  Overrides:
    `isFactoryForType` in class `AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createCSTNodeAdapter

    public Adapter createCSTNodeAdapter()

  Creates a new adapter for an object of class '`Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CSTNode`

### createPackageDeclarationCSAdapter

    public Adapter createPackageDeclarationCSAdapter()

  Creates a new adapter for an object of class '`Package Declaration CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PackageDeclarationCS`

### createContextDeclCSAdapter

    public Adapter createContextDeclCSAdapter()

  Creates a new adapter for an object of class '`Context Decl CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ContextDeclCS`

### createClassifierContextDeclCSAdapter

    public Adapter createClassifierContextDeclCSAdapter()

  Creates a new adapter for an object of class '`Classifier Context Decl CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ClassifierContextDeclCS`

### createOperationContextDeclCSAdapter

    public Adapter createOperationContextDeclCSAdapter()

  Creates a new adapter for an object of class '`Operation Context Decl CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OperationContextDeclCS`

### createPrePostOrBodyDeclCSAdapter

    public Adapter createPrePostOrBodyDeclCSAdapter()

  Creates a new adapter for an object of class '`Pre Post Or Body Decl CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PrePostOrBodyDeclCS`

### createOperationCSAdapter

    public Adapter createOperationCSAdapter()

  Creates a new adapter for an object of class '`Operation CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OperationCS`

### createInitOrDerValueCSAdapter

    public Adapter createInitOrDerValueCSAdapter()

  Creates a new adapter for an object of class '`Init Or Der Value CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InitOrDerValueCS`

### createDerValueCSAdapter

    public Adapter createDerValueCSAdapter()

  Creates a new adapter for an object of class '`Der Value CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DerValueCS`

### createInitValueCSAdapter

    public Adapter createInitValueCSAdapter()

  Creates a new adapter for an object of class '`Init Value CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InitValueCS`

### createInvOrDefCSAdapter

    public Adapter createInvOrDefCSAdapter()

  Creates a new adapter for an object of class '`Inv Or Def CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InvOrDefCS`

### createInvCSAdapter

    public Adapter createInvCSAdapter()

  Creates a new adapter for an object of class '`Inv CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InvCS`

### createDefCSAdapter

    public Adapter createDefCSAdapter()

  Creates a new adapter for an object of class '`Def CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DefCS`

### createDefExpressionCSAdapter

    public Adapter createDefExpressionCSAdapter()

  Creates a new adapter for an object of class '`Def Expression CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DefExpressionCS`

### createPathNameCSAdapter

    public Adapter createPathNameCSAdapter()

  Creates a new adapter for an object of class '`Path Name CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PathNameCS`

### createVariableExpCSAdapter

    public Adapter createVariableExpCSAdapter()

  Creates a new adapter for an object of class '`Variable Exp CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `VariableExpCS`

### createSimpleNameCSAdapter

    public Adapter createSimpleNameCSAdapter()

  Creates a new adapter for an object of class '`Simple Name CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SimpleNameCS`

### createTypeCSAdapter

    public Adapter createTypeCSAdapter()

  Creates a new adapter for an object of class '`Type CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypeCS`

### createPrimitiveTypeCSAdapter

    public Adapter createPrimitiveTypeCSAdapter()

  Creates a new adapter for an object of class '`Primitive Type CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PrimitiveTypeCS`

### createTupleTypeCSAdapter

    public Adapter createTupleTypeCSAdapter()

  Creates a new adapter for an object of class '`Tuple Type CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TupleTypeCS`

### createCollectionTypeCSAdapter

    public Adapter createCollectionTypeCSAdapter()

  Creates a new adapter for an object of class '`Collection Type CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionTypeCS`

### createOCLExpressionCSAdapter

    public Adapter createOCLExpressionCSAdapter()

  Creates a new adapter for an object of class '`OCL Expression CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OCLExpressionCS`

### createLetExpCSAdapter

    public Adapter createLetExpCSAdapter()

  Creates a new adapter for an object of class '`Let Exp CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LetExpCS`

### createIfExpCSAdapter

    public Adapter createIfExpCSAdapter()

  Creates a new adapter for an object of class '`If Exp CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IfExpCS`

### createOCLMessageArgCSAdapter

    public Adapter createOCLMessageArgCSAdapter()

  Creates a new adapter for an object of class '`OCL Message Arg CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OCLMessageArgCS`

### createLiteralExpCSAdapter

    public Adapter createLiteralExpCSAdapter()

  Creates a new adapter for an object of class '`Literal Exp CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LiteralExpCS`

### createEnumLiteralExpCSAdapter

    public Adapter createEnumLiteralExpCSAdapter()

  Creates a new adapter for an object of class '`Enum Literal Exp CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EnumLiteralExpCS`

### createCollectionLiteralExpCSAdapter

    public Adapter createCollectionLiteralExpCSAdapter()

  Creates a new adapter for an object of class '`Collection Literal Exp CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionLiteralExpCS`

### createTupleLiteralExpCSAdapter

    public Adapter createTupleLiteralExpCSAdapter()

  Creates a new adapter for an object of class '`Tuple Literal Exp CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TupleLiteralExpCS`

### createPrimitiveLiteralExpCSAdapter

    public Adapter createPrimitiveLiteralExpCSAdapter()

  Creates a new adapter for an object of class '`Primitive Literal Exp CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PrimitiveLiteralExpCS`

### createIntegerLiteralExpCSAdapter

    public Adapter createIntegerLiteralExpCSAdapter()

  Creates a new adapter for an object of class '`Integer Literal Exp CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IntegerLiteralExpCS`

### createUnlimitedNaturalLiteralExpCSAdapter

    public Adapter createUnlimitedNaturalLiteralExpCSAdapter()

  Creates a new adapter for an object of class '`Unlimited Natural Literal Exp CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UnlimitedNaturalLiteralExpCS`

### createRealLiteralExpCSAdapter

    public Adapter createRealLiteralExpCSAdapter()

  Creates a new adapter for an object of class '`Real Literal Exp CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RealLiteralExpCS`

### createStringLiteralExpCSAdapter

    public Adapter createStringLiteralExpCSAdapter()

  Creates a new adapter for an object of class '`String Literal Exp CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StringLiteralExpCS`

### createBooleanLiteralExpCSAdapter

    public Adapter createBooleanLiteralExpCSAdapter()

  Creates a new adapter for an object of class '`Boolean Literal Exp CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BooleanLiteralExpCS`

### createCollectionLiteralPartCSAdapter

    public Adapter createCollectionLiteralPartCSAdapter()

  Creates a new adapter for an object of class '`Collection Literal Part CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionLiteralPartCS`

### createCollectionRangeCSAdapter

    public Adapter createCollectionRangeCSAdapter()

  Creates a new adapter for an object of class '`Collection Range CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionRangeCS`

### createLoopExpCSAdapter

    public Adapter createLoopExpCSAdapter()

  Creates a new adapter for an object of class '`Loop Exp CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LoopExpCS`

### createIteratorExpCSAdapter

    public Adapter createIteratorExpCSAdapter()

  Creates a new adapter for an object of class '`Iterator Exp CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IteratorExpCS`

### createIterateExpCSAdapter

    public Adapter createIterateExpCSAdapter()

  Creates a new adapter for an object of class '`Iterate Exp CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IterateExpCS`

### createOperationCallExpCSAdapter

    public Adapter createOperationCallExpCSAdapter()

  Creates a new adapter for an object of class '`Operation Call Exp CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OperationCallExpCS`

### createIsMarkedPreCSAdapter

    public Adapter createIsMarkedPreCSAdapter()

  Creates a new adapter for an object of class '`Is Marked Pre CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IsMarkedPreCS`

### createPropertyContextCSAdapter

    public Adapter createPropertyContextCSAdapter()

  Creates a new adapter for an object of class '`Property Context CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PropertyContextCS`

### createStateExpCSAdapter

    public Adapter createStateExpCSAdapter()

  Creates a new adapter for an object of class '`State Exp CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StateExpCS`

### createOCLDocumentCSAdapter

    public Adapter createOCLDocumentCSAdapter()

  Creates a new adapter for an object of class '`OCL Document CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.3
  See Also:
    `OCLDocumentCS`

### createMessageExpCSAdapter

    public Adapter createMessageExpCSAdapter()

  Creates a new adapter for an object of class '`Message Exp CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MessageExpCS`

### createVariableCSAdapter

    public Adapter createVariableCSAdapter()

  Creates a new adapter for an object of class '`Variable CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `VariableCS`

### createNullLiteralExpCSAdapter

    public Adapter createNullLiteralExpCSAdapter()

  Creates a new adapter for an object of class '`Null Literal Exp CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NullLiteralExpCS`

### createInvalidLiteralExpCSAdapter

    public Adapter createInvalidLiteralExpCSAdapter()

  Creates a new adapter for an object of class '`Invalid Literal Exp CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InvalidLiteralExpCS`

### createCallExpCSAdapter

    public Adapter createCallExpCSAdapter()

  Creates a new adapter for an object of class '`Call Exp CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CallExpCS`

### createFeatureCallExpCSAdapter

    public Adapter createFeatureCallExpCSAdapter()

  Creates a new adapter for an object of class '`Feature Call Exp CS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FeatureCallExpCS`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.